# Location provider enabled

A decision block that check if a specific location provider is enabled.

If the proceed option is set to Immediately, then check if the location provider is currently enabled without pausing the fiber. If set to When changed, then the fiber will pause until the provider has been enabled or disabled.

Note! On Android 9+ location provider is ignored, specific providers can’t be toggled individually.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Location provider — location provider to check, default is GPS. (Android 8-)